const development = {
    port: 5009,
    host: "printer",
    website: {
        host: "website",
        port: 5005
    },
    session: {
        host: "session",
        port: 5006
    }
}

const github = {
    port: 5009,
    host: "printer",
    website: {
        host: "website",
        port: 5005
    },
    session: {
        host: "session",
        port: 5006
    }
}


const production = {
    port: 5009,
    host: "printer",
    website: {
        host: "website",
        port: 5005
    },
    session: {
        host: "session",
        port: 5006
    }
}

let config;
switch(process.env.NODE_ENV) {
    case 'production':
        config = production
        break;
    case 'development': 
        config = development
        break;
    case 'github': 
        config = github
        break;
    default: 
        config = development
}
module.exports = config
